/*
   Mini XML lib PLUS for C++

   Test for document class

   Author: Giancarlo Niccolai <gian@niccolai.ws>

   $Id: testdoc.cpp,v 1.1.1.1 2003/08/13 00:13:28 jonnymind Exp $
*/

#include <mxml_document.h>
#include <mxml_error.h>
#include <mxml.h>
#include <iostream>

int main( int argc, char * argv[] )
{
   std::cout << "Please insert a valid XML document" << std::endl;

   try {
      std::cin.unsetf( std::ios_base::skipws );
      MXML::Document document( std::cin, MXML_STYLE_INDENT | MXML_STYLE_THREESPACES );
      std::cout <<"Escaped   :" << std::endl << document << std::endl;
      std::cout << "Main node is: " << document.main()->name() << std::endl;
   }
   catch( MXML::Error &er )
   {
      std::cout << std::endl << er << std::endl;
   }

   return 0;
}
